{===============================================================================
  ActivityIndicator Styling Form

  Design Challenge
  Activity Indicators for all platforms were designed for use on light 
  backgrounds. Present activity indicator on a dark background. Use a custom 
  activity indicator pattern across all platforms.

  Steps
  1.  Run app first and demonstrate activity indicator on light background
  2.  Change rectangle Fill.Color to DarkSlateBlue, and text object's
      TextSettings.FontColor to White and run again.                               
  3.  Right-click on the Activity Indicator and select Edit Default Style.
  4.  Expand the AniIndicatorstyle and inspect the ani object
      - AnimationBitmap
      - AnimationCount
      - AnimationLookup
      - AnimationRowCount
      - Duration
  5.  Note the Platform setting in toolbar. Change platform and see what happens.
  6.  Select the AniIndicatorstyle object and Copy to clipboard.
  7.  Switch Platform to Default and then Paste.
  8.  Remove the Windows 11 Desktop platform.
  9.  Select StyleContainer object.
  10. Add TImage to StyleContainer. Set StyleName to SectorRingWhite.
  11. Edit MultiResBitmap to load SectorRing_White.png image.
  12. Select ani object, change the following properties:
      - AnimationLookup := SectorRingWhite
      - AnimationCount := 16
      - AnimationRowCount := 1
      - Duration := 3
  13. Close the Style Designer to apply the style.
===============================================================================}
unit ActivityIndicatorStylingForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls, FMX.Objects, FMX.Layouts;

type
  TfrmActivityIndicatorStyling = class(TForm)
    rctActivityBackground: TRectangle;
    lytIndicator: TLayout;
    txtActivityMessage: TText;
    AniIndicator1: TAniIndicator;
    lytActivityIndicator: TLayout;
    StyleBook1: TStyleBook;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmActivityIndicatorStyling: TfrmActivityIndicatorStyling;

implementation

{$R *.fmx}

end.
