{===============================================================================
  TabControl Styling Form

  Design Challenge
  Utilize a TTabControl to provide view transitions seamlessly within a small 
  area of the main form. That is, the Tab Control needs to be transparent.

  Steps
  1. Edit Custom Style for TabControl
  2. Expand TabControl1Style1 in Structure Panel
  3. Select StyleObject
  4. Edit SourceLink property and change bounds to empty region
  5. Close Style Designer to apply the style.
===============================================================================}

unit TabControlStylingForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.TabControl, FMX.Objects, FMX.Controls.Presentation,
  FMX.StdCtrls, System.Actions, FMX.ActnList;

type
  TfrmTabControlStyling = class(TForm)
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    TabItem3: TTabItem;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Timer1: TTimer;
    ActionList1: TActionList;
    NextTabAction1: TNextTabAction;
    ChangeTabAction1: TChangeTabAction;
    Label5: TLabel;
    Label6: TLabel;
    StyleBook1: TStyleBook;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTabControlStyling: TfrmTabControlStyling;

implementation

{$R *.fmx}

procedure TfrmTabControlStyling.Timer1Timer(Sender: TObject);
var
  Idx: Integer;
begin
  Idx := TabControl1.TabIndex + 1;
  if Idx >= TabControl1.TabCount then
    Idx := 0;
  ChangeTabAction1.Tab := TabControl1.Tabs[ Idx ];
  ChangeTabAction1.Execute;
end;

end.
