{===============================================================================
  GroupBox Styling Form

  Design Challenge
  Create a new top line group box style

  Steps
  1.  Right click first group box and select Edit Default Style
  2.  Expand GroupBoxstyle to reveal background and text objects
  3.  Select GroupBoxstyle object in tree, expand the Padding property and show
      values especially the Top padding value (8).
  4.  With GroupBoxstyle still selected, navigate to FMX Shapes and
      double-click TRectangle to place a rectangle as a sibling to background.
  5.  Set rectangle's Align property to Client.
  6.  Drag text object under Rectangle1Style
  7.  Select GroupBoxstyle again to show text in front of new rectangle.
  8.  Delete the background style object
  9.  Change Rectangle1Style's StyleName property to to background.
  10. Adjust the style object properties:
      - background.Fill.Kind := None
      - background.Stroke.Color := Steelblue
      - GroupBoxstyle.Padding.Bottom := 20
      - text.Position.X := 0
      - text.Position.Y := -20
  11. Close the Style Designer to apply the style.
===============================================================================}

unit GroupBoxStylingForm;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Controls.Presentation, FMX.StdCtrls, FMX.Edit;

type
  TfrmGroupBoxStyling = class(TForm)
    grpContactInformation: TGroupBox;
    grpBillingAddress: TGroupBox;
    lblFirstName: TLabel;
    edtFirstName: TEdit;
    lblLastName: TLabel;
    edtLastName: TEdit;
    lblEmail: TLabel;
    edtEmail: TEdit;
    lblStreet: TLabel;
    edtStreet1: TEdit;
    edtStreet2: TEdit;
    lblCity: TLabel;
    Edit3: TEdit;
    lblState: TLabel;
    edtState: TEdit;
    lblZIP: TLabel;
    edtZip: TEdit;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmGroupBoxStyling: TfrmGroupBoxStyling;

implementation

{$R *.fmx}

end.
